add support for trisquel belanos
[automated-distro-installer] / fai-revm
index b10d6e651895f4baa93a576ab26aa93516bd01b1..fcb9c073a58e0c74ba2702f490f0d82f4a53670e 100755 (executable)
--- a/fai-revm
+++ b/fai-revm
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
-# Note, sometimes shutting down the existing demohost vm
-# fails. Just run again if that happens.
 
-# Deploy fai configuration to faiserver,
-# then start a virtual machine to test the config.
 
 cleanup() { :; }
 set -eE -o pipefail
@@ -28,13 +24,44 @@ script_dir=$(dirname $(readlink -f "$BASH_SOURCE"))
 
 e() { echo "$*"; "$@"; }
 
-# I had this set false as default before, can't remember why. oh well.
-redeploy=true
-if [[ $1 == -r ]]; then
-    redeploy=false
-fi
 
-disk_count=2
+usage() {
+    cat <<EOF
+# Usage: ${0##*/} [OPTIONS]
+Setup fai or arch pxe (depending on $0 name)
+then start a virtual machine to test the config
+
+Note, sometimes shutting down the existing demohost vm
+fails. Just run again if that happens.
+
+-r         Do not reboot.
+-n         Create new qcow2(s) for vm
+-h|--help  Print help and exit.
+
+Note: Uses GNU getopt options parsing style
+EOF
+    exit $1
+}
+
+
+new_disk=false
+reboot=true
+temp=$(getopt -l help hnr "$@") || usage 1
+eval set -- "$temp"
+while true; do
+    case $1 in
+        -n) new_disk=true; shift ;;
+        -r) reboot=false; shift ;;
+        -h|--help) usage ;;
+        --) shift; break ;;
+        *) echo "$0: Internal error!" ; exit 1 ;;
+    esac
+done
+
+
+# change this to test different disk counts. 1 and > 1 should be the only
+# important things to test.
+disk_count=1
 
 
 if [[ $script_dir == /a/bin/* ]]; then
@@ -52,9 +79,6 @@ is_arch_revm() {
     [[ ${0##*/} == arch-revm ]]
 }
 
-new_disk=false
-[[ ! $1 ]] || new_disk=true
-
 cleanup() { ./pxe-server :; }
 if is_arch_revm; then
     ./pxe-server arch
@@ -64,10 +88,11 @@ if is_arch_revm; then
 else
     ./pxe-server fai
     sleep 2
-    if $redeploy; then
-        ./fai-redep
-    fi
-    variant=debian8
+    # I don't think these variants actually make a diff for us, but I
+    # use the appropriate one when trying a new distro just in case.
+    variant=ubuntu14.04
+    #variant=ubuntu16.04
+    #variant=debian8
 fi
 
 name=demohost